--
-- Speciaziation class Utb445
-- V1.0
-- @author 50keda
-- @date 13/10/2016
-- Copyright (C) 50keda, All Rights Reserved.
-- Edit for Fiat 140-90 STv-Modding




Fiat140_90 = {}

function Fiat140_90.prerequisitesPresent(specializations)
	
	AttacherJoints.registerJointType("Fiat_weight")

	return true
end;

function Fiat140_90:load(savegame)
	self.fiat140_90_propelerAnim = getXMLString(self.xmlFile, "vehicle.propelerAnimation#animName")
	self.fiat140_90_speedDivider = getXMLInt(self.xmlFile, "vehicle.propelerAnimation#speedDivider")

	if self.fiat140_90_propelerAnim ~= nil and self.fiat140_90_speedDivider ~= nil then
		self.fiat140_90_initalized = true
	else
		self.fiat140_90_initalized = false
	end
end

function Fiat140_90:delete()
end

function Fiat140_90:mouseEvent(posX, posY, isDown, isUp, button)
end

function Fiat140_90:keyEvent(unicode, sym, modifier, isDown)
end

function Fiat140_90:update(dt)
	
	if not self.fiat140_90_initalized then
		return
	end

	if self:getIsMotorStarted() then
		self:playAnimation(self.fiat140_90_propelerAnim, 
							self.motor.lastMotorRpm / self.fiat140_90_speedDivider, 
							self:getAnimationTime(self.fiat140_90_propelerAnim), 
							true)
	else
		self:stopAnimation(self.fiat140_90_propelerAnim)
	end
end

function Fiat140_90:draw()
end
